import { registerTokenizer, setColorMap } from './tokenizer.js';
import { LANGUAGE_ID } from './constant.js';
import { registerMonacoLanguageProviders, setDocsAnalyser } from './monaco.js';
export async function registerDolphinDBLanguage(monaco, options) {
    const { languages } = monaco;
    languages.register({ id: LANGUAGE_ID });
    setDocsAnalyser(options.docsAnalyser);
    registerMonacoLanguageProviders(monaco);
    await registerTokenizer(languages);
    setColorMap(monaco, options?.theme ?? 'light');
}
export { DocsAnalyser } from './docs/analyser.js';
//# sourceMappingURL=index.js.map